#pragma once
#include <FK/FK.h>
#include "FKUT/OBB.h"
#include "EventManager.h"
#include "FieldMap.h"

class Player {
private:
	fk_Model	playerModel;
	fk_Block	playerBox;
	fkut_OBB	playerOBB;

	fk_Vector	spd, acc;

public:
	Player(void);
	~Player(void);

	void entryScene(fk_Scene *argScn);
	void removeScene(fk_Scene *argScn);

	fk_Model* getModel(void);
	fk_Vector getSpd(void);

	void update(FieldMap *argMap, EventManager *argEve, fk_Model *argCam);
};
