#include "SceneOBB.h"

SceneOBB::SceneOBB(fk_Window *argWin, EventManager *argEve)
: SceneBase(argWin, argEve), tb(argWin, &camera)
{
	// Ɩ̐ݒ
	lightModel.setShape(&light);
	lightModel.setMaterial(White);
	lightModel.getMaterial()->setAmbDiff(1.0, 1.0, 1.0);
	lightModel.glMoveTo(0.0, 0.0, 0.0);
	lightModel.glFocus(0.5, -1.0, 0.0);

	// effBXvCXgɓo^
	scene.entryCamera(&camera);
	scene.entryModel(&lightModel);
	// }bṽGg[
	map.entryScene(&scene);
	// vC[̃Gg[
	player.entryScene(&scene);

	// _̈ʒuƎpݒ
	camera.glMoveTo(0.0, 100.0, 100.0);
	camera.glFocus(0.0, 0.0, 0.0);
	camera.glUpvec(0.0, 1.0, 0.0);
}

SceneOBB::~SceneOBB(void)
{
}

int	SceneOBB::onPeriod(void)
{
	fk_Vector	plSpd, plPos;

	// L[ɂXs[hύX
	player.update(&map, ref_event, &camera);

	plSpd = player.getSpd();
	plSpd.y = 0.0;
	camera.glTranslate(plSpd);

	plPos = player.getModel()->getPosition();
	plPos.y = 0.0;
	tb.setLookTo(plPos);

	tb.update();

	// V[Jڏ
	if(ref_event->getSpecialKeyStatus(FK_F2) == FKUT_SW_DOWN) {
		return SCENE_MOTION;
	}

	return 0;
}
